FreeBSD : jenkins -- HTTP access to the server to retrieve the master cryptographic key (3a65d33b-5950-11e2-b66b-00e0814cab4e)

High Nessus Plugin ID 63401


The remote FreeBSD host is missing a security-related update.


Jenkins Security Advisory reports :

This advisory announces a security vulnerability that was found in Jenkins core.

An attacker can then use this master cryptographic key to mount remote code execution attack against the Jenkins master, or impersonate arbitrary users in making REST API calls.

There are several factors that mitigate some of these problems that may apply to specific installations.

- The particular attack vector is only applicable on Jenkins instances that have slaves attached to them, and allow anonymous read access.

- Jenkins allows users to re-generate the API tokens. Those re-generated API tokens cannot be impersonated by the attacker.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 63401

File Name: freebsd_pkg_3a65d33b595011e2b66b00e0814cab4e.nasl

Version: $Revision: 1.2 $

Type: local

Published: 2013/01/08

Modified: 2013/06/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:jenkins, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2013/01/08

Vulnerability Publication Date: 2013/01/04